res_wlan_t Struct Reference
Public interface » ID macros » Resource structures

wlan capabilities More...

`#include <hd.h>`

## Data Fields

union u_hd_res_t * | next
enum resource_types | type
str_list_t * | channels
str_list_t * | frequencies
| in GHz units
str_list_t * | bitrates
| in Mbps units
str_list_t * | auth_modes
| open, sharedkey, wpa-psk, wpa-eap, wpa-leap
str_list_t * | enc_modes
| WEP40, WEP104, WEP128, WEP232, TKIP, CCMP.

## Detailed Description

wlan capabilities

The documentation for this struct was generated from the following file:

- hd.h